Bug 1012381 - [fork][origin_runtime_208] PSQL and MYSQL can't be connected after migration
[fork][origin_runtime_208] PSQL and MYSQL can't be connected after migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 07:34 EDT by Yan Du
Modified: 2015-05-14 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:31:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-09-26 07:34:21 EDT
Description of problem:

prepare   some scalable apps with DBs embedded, upgrade devenv_stage_478 to   fork_ami_208_864, after migration, PSQL and MYSQL can't be connected


Version-Release number of selected component (if applicable):
upgrade devenv_stage_478 to fork_ami_208_864


How reproducible:
Always


Steps to Reproduce:
1. launch a devenv_stage_478 instance and create some scalable apps with DBs embedded
2. scp -r ~/devenv-local and /etc/yum.repos.d/* (from fork instance to same location on devenv-stage instance )
3. yum -y update --enablerepo devenv-local 
4. oo-admin-broker-cache --clear --console 
5. Restart mcollective services and rhc-broker
6. migrate_port_proxy all
7. oo-admin-clear-pending-ops --time 0
8. rhc-admin-migrate-datastore --non-compatible --version 2.0.34 
9. oo-admin-upgrade upgrade-node --version 2.0.34 --ignore-cartridge-versio
10. ssh into app and run psql/mysql/mongo to connect DB


Actual results:

only mongo can be connected, show error when connecting mysql and psql

[perl1s-111.dev.rhcloud.com 5244056f73ede7fe52000040]\> psql
psql: FATAL:  no pg_hba.conf entry for host "10.100.246.142", user "adminkyrtikl", database "perl1s", SSL off


[php1s-111.dev.rhcloud.com 524404fc73ede7fe52000004]\> mysql
ERROR 1130 (HY000): Host 'ip-10-100-246-142.ec2.internal' is not allowed to connect to this MySQL server


Expected results:
DBs can be connected normally after migration


Additional info:

mongo can be connected: 

[perl1s-111.dev.rhcloud.com 5244056f73ede7fe52000040]\> mongo
MongoDB shell version: 2.4.6
connecting to: 4b0d8b56269211e3842412313b0ef580-111.dev.rhcloud.com:38041/admin
Welcome to the MongoDB shell.
Comment 1 Mrunal Patel 2013-09-26 14:07:13 EDT
Fix has been committed to mrunalp/dev/iptables-port-proxy branch. It will be avaialable later today in a new ami.
Comment 2 Mrunal Patel 2013-09-26 19:25:20 EDT
Fixed in fork_ami_card_208_868.
Comment 3 Xiaoli Tian 2013-09-27 01:13:59 EDT
Verified it by upgrading from devenv-stage_478 to fork_ami_card_208_868, and running the port-proxy migration, mongo migration, node migration.

Postgresql and Mysql could be connected successfully now:

[jbossews2-migration1.dev.rhcloud.com 5244e22359b09815c00001ab]\> mysql
Welcome to the MySQL monitor.  Commands end with ; or \g.
Your MySQL connection id is 1
Server version: 5.1.69 Source distribution

Copyright (c) 2000, 2013, Oracle and/or its affiliates. All rights reserved.

Oracle is a registered trademark of Oracle Corporation and/or its
affiliates. Other names may be trademarks of their respective
owners.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

mysql> exit
Bye
[jbossews2-migration1.dev.rhcloud.com 5244e22359b09815c00001ab]\> psql 
psql (9.2.4)
Type "help" for help.

jbossews2=#

Note You need to log in before you can comment on or make changes to this bug.